/*
  Twin relay
  Copyright (c) 2013 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/  

// Version 1.0 r 2013

#ifndef _H_bv4601_h
#define _H_bv4601_h

#include "Arduino.h"
#include "Wire.h"

class RELAY : public TwoWire
{
    public:
        // non-device specific
        RELAY(char i2cadr);
        void on(char n, int timeOn);
        void off(char n, int timeOn);
        void alloff();
        void vref(char v);
        void digital(char n);
        int gettimer(char relay);
        int adc(char n);
    private:
        char _i2adr;
        int i2_16bit();
};


#endif