// Example of how to use the BV4601 library.
// BV4601_S serial twin relay
// BV4601_I I2C twin relay
#include <Wire.h>
#include <bv4601_I.h> // defines LCD

// These are the A pins
// A5 = SCL
// A4 = SDA

// constructor defines pins and the address of the device
// in this case 'f'
RELAY rly(0x33);

void setup()  {
 // Open serial communications and wait for port to open:
  Serial.begin(9600);
   while (!Serial) {
    ; // wait for serial port to connect. Needed for Leonardo only
  }
}


void loop() 
{
int k=0;
  rly.alloff();
  rly.on(0,2000); 
  Serial.write("\nTurning on relay 0 in 2000\n");
  k = rly.gettimer(0);
  while(k) {
    k = rly.gettimer(0);
    sprintf(buf,"Time to go %d\n",k);
    Serial.write(buf);
    delay(200);
  }
  
  rly.off(0,5000);
  Serial.write("\nTurning off relay 0 in 5000");
  k = rly.gettimer(0);
  while(k) {
    k = rly.gettimer(0);
    sprintf(buf,"Time to go %d\n",k);
    Serial.write(buf);
    delay(300);
  }
  
  while(1) {
    Serial.write("\nADC Values, updated every 2 seconds\n");
    sprintf(buf, "ADC 1 = %d\n",rly.adc(1));
    Serial.write(buf);
    sprintf(buf, "ADC 2 = %d\n",rly.adc(2));
    Serial.write(buf);
    sprintf(buf, "ADC 3 = %d\n",rly.adc(3));
    Serial.write(buf);
    delay(2000);
  }

  // all stop
  while(1);
}


